Package org.mariadb.jdbc.message.client

## Interface RedoableWithPrepareClientMessage

All Superinterfaces:
  `org.mariadb.jdbc.message.ClientMessage`, `RedoableClientMessage`

All Known Implementing Classes:
  `BulkExecutePacket`, `ExecutePacket`

    public interface RedoableWithPrepareClientMessage
    extends RedoableClientMessage

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context)`
`int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context, Prepare newPrepareResult)`
`String` `getCommand()`
`ServerPreparedStatement` `prep()`
`default int` `reEncode​(Writer writer, org.mariadb.jdbc.client.Context context, Prepare newPrepareResult)`
`default void` `rePrepare​(org.mariadb.jdbc.client.Client client)`
`void` `setPrepareResult​(PrepareResultPacket prepareResult)`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket`

### Methods inherited from interface org.mariadb.jdbc.message.client.RedoableClientMessage

`ensureReplayable, saveParameters`

### Method Detail

#### getCommand

    String getCommand()

#### prep

    ServerPreparedStatement prep()

#### encode

    default int encode​(Writer writer,
                       org.mariadb.jdbc.client.Context context)
                throws IOException,
                       SQLException

Specified by:
  `encode` in interface `org.mariadb.jdbc.message.ClientMessage`
Throws:
  `IOException`
  `SQLException`

#### encode

    int encode​(Writer writer,
               org.mariadb.jdbc.client.Context context,
               Prepare newPrepareResult)
        throws IOException,
               SQLException

Specified by:
  `encode` in interface `RedoableClientMessage`
Throws:
  `IOException`
  `SQLException`

#### reEncode

    default int reEncode​(Writer writer,
                         org.mariadb.jdbc.client.Context context,
                         Prepare newPrepareResult)
                  throws IOException,
                         SQLException

Specified by:
  `reEncode` in interface `RedoableClientMessage`
Throws:
  `IOException`
  `SQLException`

#### setPrepareResult

    void setPrepareResult​(PrepareResultPacket prepareResult)

#### rePrepare

    default void rePrepare​(org.mariadb.jdbc.client.Client client)
                    throws SQLException

Throws:
  `SQLException`